Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 196570 - Review Request: mirage
Summary: Review Request: mirage
Keywords:
Status: CLOSED DUPLICATE of bug 216282
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis (ignored mailbox)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-06-25 00:07 UTC by Michael J Knox
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-16 20:35:26 UTC


Attachments (Terms of Use)

Description Michael J Knox 2006-06-25 00:07:17 UTC
Spec URL: http://www.knox.net.nz/~michael/mirage.spec
SRPM URL: http://www.knox.net.nz/~michael/mirage-0.7-1.src.rpm

Description: Mirage is a fast and simple GTK+ image viewer. Because it depends 
only on PyGTK, Mirage is ideal for users who wish to keep their computers lean while still having a clean image viewer.

Comment 1 Parag AN(पराग) 2006-06-26 05:00:17 UTC
Not an official review as I'm not yet sponsored
Mock build for development i386 is failed
  Add BuildRequires: desktop-file-utils
MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package mirage, in the
format mirage.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
    - MUST: The License field in the package mirage.spec file matches the
actual license file COPYING in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package  have a %clean section, which contains rm -rf
 %{buildroot}.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
      - MUST: Library files that end in .so (without suffix) are NOT in a -devel
package.
      - MUST: This package contains shared library files located in the dynamic
linker's default paths, and But this package did NOT calling ldconfig in %post
and %postun. 
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is NOT correct

 What you Need to Do:-
      * As your package uses .so files. You can add subpackage -devel.
      * BuildRequires needed desktop-file-utils to be added.
      * add %post %postun sections with call to ldconfig as
       %post -p /sbin/ldconfig
       %postun -p /sbin/ldconfig
      * update-desktop-database dependancy missing  for %post (package
desktop-file-utils) as well as for %postun (package desktop-file-utils)








Comment 2 Michael J Knox 2006-06-26 06:25:17 UTC
Update. However, I am not going to split our the shared objects as there are no
header file or pkgconfig files. It seems very much pointless to split them out.
I will discuss this on the fedora-packaging list for further clarification. 

Spec URL: http://www.knox.net.nz/~michael/mirage.spec
SRPM URL: http://www.knox.net.nz/~michael/mirage-0.7-2.src.rpm

Comment 3 Michael Schwendt 2006-06-26 07:15:38 UTC
* %{_datadir}/%{name} is unowned

* %doc files are duplicated in %{_datadir}/%{name}, but not used
at run-time

> As your package uses .so files. You can add subpackage -devel.

No, surely not in this case. This is a C shared library Python
extension module. Moving it into a -devel package would be wrong
and would break the Python application.

> add %post %postun sections with call to ldconfig as
>     %post -p /sbin/ldconfig
>     %postun -p /sbin/ldconfig

Negative. The package does NOT store any shared libs in dynamic
linker's search paths, but only in Python sitearch.

Further, "-p /sbin/ldconfig" would not work when the scriptlet
contained a body which to execute in a shell. Option "-p" specifies
the scriptlet interpreter explicitly (default is -p /bin/sh).

Comment 4 Michael J Knox 2006-06-26 07:43:05 UTC
OK, fixed that up, thanks. 

Comment 5 Parag AN(पराग) 2006-06-26 08:25:53 UTC
thanks Michael Schwendt for your comments

Comment 6 Kevin Fenzi 2006-08-12 16:35:25 UTC
Hey Michael. I would be happy to formally review this. 
Before I do: Are the links in comment #2 current? Or did you make changes 
in comment #4 that aren't reflected yet in the spec?

Also, it looks like moving forward the python guidelines are going to change to 
require .pyo files to just be included instead of ghosting them. 
https://www.redhat.com/archives/fedora-maintainers/2006-August/msg00018.html
Can you make that change as well?


Comment 7 Michael J Knox 2006-08-21 00:08:47 UTC
Hey, just a quick ping to let you know that I am alive, just still in the throws
of unpacking/new job/etc etc. I hope to tidy this review up before/by the end of
the week. Thanks for your patience. 

Comment 8 Jason Tibbitts 2006-09-16 04:29:14 UTC
Given your recent announcement, do you still wish to continue with the
submission of this package?

Comment 9 Michael J Knox 2006-09-16 20:35:26 UTC
Sorry. Due to my stepping out for a while, I am unable to complete this submission.

Comment 10 Mamoru TASAKA 2006-11-18 19:02:56 UTC

*** This bug has been marked as a duplicate of 216282 ***


Note You need to log in before you can comment on or make changes to this bug.